-- NativeSpeech

-- adds "/n" and "/ny" commands that are like "/s" and "/y", but 
-- use the character's native language instead of their faction
-- language

-- Race -> Language table. Should be localization-independent.

local Languages = {
  BloodElf="THALASSIAN",
  Dwarf="DWARVEN",
  Draenei="DRAENEI",
  Gnome="GNOMISH",
  Goblin="GOBLIN",
  Human="COMMON",
  NightElf="DARNASSIAN",
  Orc="ORCISH",
  Scourge="FORSAKEN",
  Tauren="TAURAHE",
  Troll="TROLL",
  Worgen="COMMON"
}

-- Figure out the character's race. We use the second (language-independent)
-- return from UnitRace()
local MyRace
_, MyRace = UnitRace("player")

-- Now, look up that race in our languages table to find out their native
-- language
local MyLanguage = Languages[MyRace]

-- Clean up the table, now that we no longer need it
Languages = nil

-- Function to get information from NativeSpeech. Shouldn't normally be
-- needed, but here just in case for debugging.
function NativeSpeech() 
  print("NativeSpeech detected player race as "..MyRace)
  print("NativeSpeech selected language "..MyLanguage)
end

-- Set up our new commands.
SLASH_NATIVESAY1 = "/n"
SLASH_NATIVEYELL1 = "/ny"

SlashCmdList["NATIVESAY"] = function (args)
    SendChatMessage(args, "SAY", MyLanguage)
end

SlashCmdList["NATIVEYELL"] = function (args)
    SendChatMessage(args, "YELL", MyLanguage)
end

-- if RandomSay is loaded, do this as well
if not RandomSay then return end

SLASH_NATIVESAYRANDOM1 = "/rn"
SLASH_NATIVEYELLRANDOM1 = "/rny"

SlashCmdList["NATIVESAYRANDOM"] = function (args)
    local arg = RandomSay.parse(args)
    if arg then SendChatMessage(arg, "SAY", MyLanguage) end
end

SlashCmdList["NATIVEYELLRANDOM"] = function(args)
    local arg = RandomSay.parse(args)
    if arg then SendChatMessage(arg, "YELL", MyLanguage) end
end
